5.2.0-git
04/18/2014

[#8572] Learning (adaptive) autocomplete
Summary Learning (adaptive) autocomplete
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 09/12/2009 (1679 days ago)
Due
Updated 03/05/2011 (1140 days ago)
Assigned
Resolved
Milestone
Patch No

History
03/05/2011 04:16:56 AM Chuck Hagenbuch Comment #5
Taken from Michael Slusarz
State ⇒ Accepted
Reply to this comment
k, so I think we keep this around for now. Thanks!
03/04/2011 06:23:28 PM Michael Slusarz Comment #4 Reply to this comment
What do the two weighting methods you described actually do?
They provide more intelligent search results based on a partial search 
string.  But they don't learn/adapt over time based on user input, 
which I believe is the intent of this request.
02/20/2011 01:51:57 AM Chuck Hagenbuch Comment #3
Assigned to Michael Slusarz
Reply to this comment
What do the two weighting methods you described actually do?
12/10/2009 12:08:30 AM Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Sort of have this in IMP - we now weight autocomplete by either 
liquidmetal.js (javacript search) or the PHP levenshtein function 
(server-side search).  Doesn't account for learning, but provides more 
intelligent result ordering.
09/12/2009 03:51:09 PM Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ IMP
Summary ⇒ Learning (adaptive) autocomplete
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
This could potentially be useful anywhere we do autocomplete, 
depending on how it's implemented, but IMP address completion is the 
most obvious case.



Implement a learning (or really just weighting) algorithm so that the 
user's auto-complete choices are used over a straight match. So if 
there are two options when the user starts typing "Dan", and the user 
always picks the 2nd one, we should show the 2nd one as the default 
option.